<%@ Register tagPrefix="bbs" tagName="AdminFooter" src="controls/admin_footer.ascx"%>
<%@ Register tagPrefix="bbs" tagName="AdminHeader" src="controls/admin_header.ascx"%>
<%@ Register tagPrefix="Dvbbs" namespace="Dvbbs.Controls" assembly="Dvbbs.Web"%>
<%@ Page Inherits="Dvbbs.bbs.UI.Admin.admin_group_post" %>
<script type="text/javascript" language="javascript">
function ChkSelected(Obj,Val)
{
	if (Obj)
	{
	for (i=0;i<Obj.length;i++){
		if (Obj.options[i].value==Val){
		Obj.options[i].selected=true;
		break;
		}
	}
	}
}
function chkradio(Obj,Val)
{
	if (Obj)
	{
	for (i=0;i<Obj.length;i++){
		if (Obj[i].value==Val){
		Obj[i].checked=true;
		break;
		}
	}
	}
}

</script>
<bbs:adminheader id="AdminHeader1" title="增加新版面" runat="server"></bbs:adminheader>
<table width="100%" class="maintable" cellpadding="0" cellspacing="1" border="0">
	<tr>
		<th colspan="2">
			圈子推荐</th>
	</tr>
	<tr>
		<td height="23" colspan="2">说明：</td>
	</tr>
</table>
<br />
<table width="100%" class="maintable" cellpadding="0" cellspacing="1" border="0">
	<form method="get" action="admin_group_post.aspx" name="searchform">
		<tr>
			<td colspan="10">
				主题搜索（所有圈子）：
				<input name="keyword"  onFocus="IEvent('focus',this);" onBlur="IEvent('blur',this)"	onMouseOver="IEvent('mouseover',this)" onMouseOut="IEvent('mouseout',this)" type="text" value="<%=keyword%>" size="30" /> 
				<input name="Submit"  onFocus="IEvent('focus',this);" onBlur="IEvent('blur',this)"	onMouseOver="IEvent('mouseover',this)" onMouseOut="IEvent('mouseout',this)"  type="submit" class="button" value="搜索" />
				<input name="HtmlMark" type="hidden" value="search" />
			</td>
		</tr>
	</form>
	<form method="post" action="admin_group_post.aspx?HtmlMark=setgooditem" name="batchform" id="batchform">
		<tr>
			<td style="text-align:center;" class="category">&nbsp;</td>
			<td style="text-align:center;" class="category">主题名称</td>
			<td style="text-align:center;" class="category">推荐类型</td>
			<td style="text-align:center;" class="category">所属圈子</td>
			<td style="text-align:center;" class="category">圈子申请人</td>
			<td style="text-align:center;" class="category">主题数</td>
			<td style="text-align:center;" class="category">申请时间</td>
			<td style="text-align:center;" class="category">圈子状态</td>
		</tr>
		<asp:Repeater enableviewstate="false" id="list" runat="server">
			<ItemTemplate>
				<tr onMouseOver="this.bgColor='#ffffff'" onMouseOut="this.bgColor=''" align="center">
					<td><Dvbbs:Span id="opgroupid" runat="server" /></td>
					<td align="left"><Dvbbs:Anchor id="Title" runat="server" /></td>
					<td><Dvbbs:Span id="isgoodpost" runat="server" /></td>
					<td><Dvbbs:Anchor id="GroupName" runat="server" /></td>
					<td><Dvbbs:Anchor id="AppUserName" runat="server" /></td>
					<td><Dvbbs:Span id="TopicNum" runat="server" />77</td>
					<td><Dvbbs:Span id="AppDate" runat="server" /></td>
					<td><Dvbbs:Span id="stats" runat="server" />
					</td>
				</tr>
			</ItemTemplate>
		</asp:Repeater>
		<tr>
			<td class="title" colspan="10"><Dvbbs:Pager id="pager" per="30" runat="server" /></td>
		</tr>
		<tr>
			<td colspan="10">
				<div style="margin-left:10px;">
					<input type="checkbox" name="chkall" value="on" onClick="CheckAll(this.form);" class="checkbox" />全选/取消&nbsp;&nbsp;&nbsp;&nbsp;
					<input type="submit" name="Submit" value="推荐/取消推荐 => 圈子主页" onClick="return clicksubmit(this.form);"
						class="button" onFocus="IEvent('focus',this)" onBlur="IEvent('blur',this)" onMouseOver="IEvent('mouseover',this)"
						onMouseOut="IEvent('mouseout',this)" /> <input type="submit" name="Submit" value="推荐/取消推荐 => 圈子聚合主页" onClick="return clicksubmit(this.form);"
						class="button" onFocus="IEvent('focus',this)" onBlur="IEvent('blur',this)" onMouseOver="IEvent('mouseover',this)" onMouseOut="IEvent('mouseout',this)" />
				</div>
			</td>
		</tr>
	</form>
</table>
<script language="javascript">
function CheckAll(form)
{
	for (var i=0;i<form.elements.length;i++)
	{
		var e = form.elements[i];
		if (e.name == 'opgroupid')
			e.checked = form.chkall.checked;
	}
}
function clicksubmit(form)
{
	if(confirm('您确定执行的操作吗?'))
	{
		this.document.batchform.submit();
		return true;
	}
	else
	{
		return false;
	}
}
</script>
<bbs:AdminFooter runat="server" id="AdminFooter1" />